goocanvasmm: Goocanvas::Ellipse Class Reference

# Goocanvas::Ellipse Class Reference

Inheritance diagram for Goocanvas::Ellipse:
[legend]

List of all members.

## Public Member Functions
virtual | ~Ellipse ()
GooCanvasEllipse* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasEllipse* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasEllipse* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< double > | property_center_x ()
| The x coordinate of the center of the ellipse.
Glib::PropertyProxy_ReadOnly < double > | property_center_x () const
| The x coordinate of the center of the ellipse.
Glib::PropertyProxy< double > | property_center_y ()
| The y coordinate of the center of the ellipse.
Glib::PropertyProxy_ReadOnly < double > | property_center_y () const
| The y coordinate of the center of the ellipse.
Glib::PropertyProxy< double > | property_radius_x ()
| The horizontal radius of the ellipse.
Glib::PropertyProxy_ReadOnly < double > | property_radius_x () const
| The horizontal radius of the ellipse.
Glib::PropertyProxy< double > | property_radius_y ()
| The vertical radius of the ellipse.
Glib::PropertyProxy_ReadOnly < double > | property_radius_y () const
| The vertical radius of the ellipse.
## Static Public Member Functions
static Glib::RefPtr< Ellipse > | create (double center_x=0.0, double center_y=0.0, double radius_x=0.0, double radius_y=0.0)
## Protected Member Functions
| Ellipse (double center_x=0.0, double center_y=0.0, double radius_x=0.0, double radius_y=0.0)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Ellipse > | wrap (GooCanvasEllipse* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::Ellipse::~Ellipse | ( |  | ) | `[virtual]`

Goocanvas::Ellipse::Ellipse | ( | double | center_x = `0.0`,
|  | double | center_y = `0.0`,
|  | double | radius_x = `0.0`,
|  | double | radius_y = `0.0` |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Ellipse> Goocanvas::Ellipse::create | ( | double | center_x = `0.0`,
|  | double | center_y = `0.0`,
|  | double | radius_x = `0.0`,
|  | double | radius_y = `0.0` |
| ) |  |  | `[static]`

const GooCanvasEllipse* Goocanvas::Ellipse::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasEllipse* Goocanvas::Ellipse::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasEllipse* Goocanvas::Ellipse::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemSimple.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Ellipse::property_center_x | ( |  | ) | const

The x coordinate of the center of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Ellipse::property_center_x | ( |  | ) |

The x coordinate of the center of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Ellipse::property_center_y | ( |  | ) | const

The y coordinate of the center of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Ellipse::property_center_y | ( |  | ) |

The y coordinate of the center of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Ellipse::property_radius_x | ( |  | ) | const

The horizontal radius of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Ellipse::property_radius_x | ( |  | ) |

The horizontal radius of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Ellipse::property_radius_y | ( |  | ) | const

The vertical radius of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Ellipse::property_radius_y | ( |  | ) |

The vertical radius of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Ellipse > wrap | ( | GooCanvasEllipse * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/ellipse.h